Get available shipping rates
This return available shipping rates for country based on order amount
POST
/
store
/
shipping-zone
/
shipping-rates
Get available shipping rates
curl --request POST \
--url https://services.leadconnectorhq.com/store/shipping-zone/shipping-rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"country": "US",
"totalOrderAmount": 99.99,
"totalOrderWeight": 10,
"source": {
"type": "order",
"subType": "store"
},
"products": [
{
"id": "<string>",
"qty": 123
}
],
"amountAvailable": "US",
"weightAvailable": true,
"couponCode": "TEST"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
country: 'US',
totalOrderAmount: 99.99,
totalOrderWeight: 10,
source: {type: 'order', subType: 'store'},
products: [{id: '<string>', qty: 123}],
amountAvailable: 'US',
weightAvailable: true,
couponCode: 'TEST'
})
};
fetch('https://services.leadconnectorhq.com/store/shipping-zone/shipping-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-zone/shipping-rates"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"country": "US",
"totalOrderAmount": 99.99,
"totalOrderWeight": 10,
"source": {
"type": "order",
"subType": "store"
},
"products": [
{
"id": "<string>",
"qty": 123
}
],
"amountAvailable": "US",
"weightAvailable": True,
"couponCode": "TEST"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": [
{
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
],
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Body
application/json
Country code of the customer
Available options:
US, CA, AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW Example:
"US"
it will not calculate the order amount form backend if it is true
Available options:
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, GB, UA, AE, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW Example:
"US"
Last modified on March 8, 2026
Was this page helpful?
Get available shipping rates
curl --request POST \
--url https://services.leadconnectorhq.com/store/shipping-zone/shipping-rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"country": "US",
"totalOrderAmount": 99.99,
"totalOrderWeight": 10,
"source": {
"type": "order",
"subType": "store"
},
"products": [
{
"id": "<string>",
"qty": 123
}
],
"amountAvailable": "US",
"weightAvailable": true,
"couponCode": "TEST"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
country: 'US',
totalOrderAmount: 99.99,
totalOrderWeight: 10,
source: {type: 'order', subType: 'store'},
products: [{id: '<string>', qty: 123}],
amountAvailable: 'US',
weightAvailable: true,
couponCode: 'TEST'
})
};
fetch('https://services.leadconnectorhq.com/store/shipping-zone/shipping-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-zone/shipping-rates"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"country": "US",
"totalOrderAmount": 99.99,
"totalOrderWeight": 10,
"source": {
"type": "order",
"subType": "store"
},
"products": [
{
"id": "<string>",
"qty": 123
}
],
"amountAvailable": "US",
"weightAvailable": True,
"couponCode": "TEST"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": [
{
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
],
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}